# qb-garages

## Introduction

* Handles the storing of vehicles for public and house garages. Supports land, air and sea vehicles as well as jobs and gangs. Also includes an impound system!

## Preview

![](/files/p59004P5LB90688nviE5)

![](/files/160rO4SioneN8ZcLN6ff)

## Configuration

```lua
AutoRespawn = false --True == auto respawn cars that are outside into your garage on script restart, false == does not put them into your garage and players have to go to the impound
SharedGarages = false   --True == Gang and job garages are shared, false == Gang and Job garages are personal
VisuallyDamageCars = true --True == Visually damage cars that go out of the garage depending of body damage, false == Do not visually damage cars (damage is still applied to car values)

Garages = {
    ["motelgarage"] = { -- Name of the garage
        label = "Motel Parking", -- Label of the garage
        takeVehicle = vector3(273.43, -343.99, 44.91), -- vehicle withdraw point
        spawnPoint = vector4(270.94, -342.96, 43.97, 161.5), -- vehicle spawn point
        putVehicle = vector3(276.69, -339.85, 44.91), -- vehicle store point
        showBlip = true, -- enable/disable the blip on the map
        blipName = "Public Parking", -- name of blip
        blipNumber = 357, -- https://docs.fivem.net/docs/game-references/blips/
        type = 'public', -- public, job, gang, depot
        vehicle = 'car' -- car, air, sea
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qbcore.org/qbcore-documentation/qbcore-resources/qb-garages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
